Bug 1412472 - [RFE] VT-d migration
Summary: [RFE] VT-d migration
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Xu
QA Contact: Pei Zhang
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 06:31 UTC by Peter Xu
Modified: 2017-08-02 03:17 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-01 23:42:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Peter Xu 2017-01-12 06:31:34 UTC
Description of problem:

Support VT-d migration.

Version-Release number of selected component (if applicable):

N/A.

How reproducible:

N/A.

Steps to Reproduce:

1. Start VM1 with Intel vIOMMU:

$bin -M q35,kernel-irqchip=split -enable-kvm \
     -device intel-iommu,intremap=on \
     -netdev user,id=net0 \
     -device e1000,netdev=net0 \
     -m 512M -monitor stdio \
     /var/lib/libvirt/images/vm1.qcow2

2. Start VM2 as incoming guest:

$bin -M q35,kernel-irqchip=split -enable-kvm \
     -device intel-iommu,intremap=on \
     -netdev user,id=net0 \
     -device e1000,netdev=net0 \
     -m 512M -monitor stdio \
     -incoming tcp:0:6666 \
     /var/lib/libvirt/images/vm1.qcow2

3. Migrate VM1 -> VM2

Actual results:

Cannot migrate.

Expected results:

Migrate should succeed.

Comment 3 Pei Zhang 2017-05-16 13:38:00 UTC
Verification:

Versions:
qemu-kvm-rhev-2.9.0-4.el7.x86_64
3.10.0-666.el7.x86_64

Steps:
1. In src host, boot guest with '-device intel-iommu'
# /usr/libexec/qemu-kvm -name rhel7.4 -M q35,kernel-irqchip=split \
-cpu host -m 8G \
-device intel-iommu,intremap=true,caching-mode=true \
-smp 4,sockets=1,cores=4,threads=1 \
-device pcie-root-port,id=root.1,slot=1 \
-device pcie-root-port,id=root.2,slot=2 \
-netdev tap,id=hostnet0,vhost=on \
-device virtio-net-pci,netdev=hostnet0,id=net0,bus=root.1,mac=18:66:da:5f:dd:01 \
-drive file=/mnt/nfv/rhel7.4_nonrt.qcow2,format=qcow2,if=none,id=drive-virtio-blk0,werror=stop,rerror=stop \
-device virtio-blk-pci,drive=drive-virtio-blk0,id=virtio-blk0,bus=root.2 \
-vnc :2 \
-monitor stdio \

2. In des host, boot guest with '-incoming'
< same qemu command line as above step 1>
-incoming tcp:0:5555

3. Do Migration from src host to des host
(qemu) migrate -d tcp:10.73.72.152:5555

4. Repeat ping-pong migration for several times. Works well.

5. Repeat reboot/shutdown guest several times. Works well.

So this bug has been fixed well. Thanks.

Comment 4 Pei Zhang 2017-05-16 13:40:11 UTC
Set this bug 'VERIFIED' as Comment 3.

Please correct me if I was wrong about any step during verification.

Comment 6 errata-xmlrpc 2017-08-01 23:42:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 7 errata-xmlrpc 2017-08-02 01:19:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 02:11:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 02:52:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 03:17:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.